<script>
var isprevisualizer = false

function ReloadPreview(){
  console.log('previsualizer: ' + isprevisualizer)

  if(isprevisualizer == false){
    

        refreshIframe()
      }else{
        refreshIframe()
      
        $('#prerenderpage').attr('style','display:none;')
          isprevisualizer = false
          FillIndicator()
      }
console.log('Preview mode for email function')
      
}
function refreshIframe(){
  var width = $(window).width() / 4
        var height = $(window).height()
var type = '<%- invitetype %>'
if(type != 2){
console.log('Preview mode avaible for pdf')

      $('#prerenderpage').attr('style','display:block; position:relative; width:'+width+'px; height:'+height+'px;')
$('#prerenderpage').attr('src','/pdfgenerator/0')
isprevisualizer = true
FillIndicator()
console.log('previsualizer is true')
  }else{

    $('#prerenderpage').attr('style','display:block; position:relative; width:'+width+'px; height:'+height+'px;')
    var session = '<%- session %>'
if(JSON.parse(session).convidadosLista){
    $('#prerenderpage').attr('src','/emailgenerator/'+btoa(JSON.stringify(JSON.parse(session).convidadosLista))+'&info='+ btoa(escape(CKEDITOR.instances['txtMessage'].getData())))
}else{
  $('#prerenderpage').attr('src','/emailgenerator/none')
}
    isprevisualizer = true

  }


}



$(document).ready(function (){
  $('#dialogBtn').click(function (){
    console.log("reload called by button...")
    ReloadPreview()

    
})
function sleep(ms) {
  return new Promise(resolve => setTimeout(resolve, ms));
}
$('#myForm').change( async function(){
//  FillIndicator()
if(isprevisualizer){

await doForm('/prerender',getallFormtoJson('myForm'))
refreshIframe()
await sleep(2000);

console.log('form changed')
}
});
                  	
CKEDITOR.instances.txtMessage.on('change', async function() { 

  if(isprevisualizer){
    var width = $(window).width() / 4
    var height = $(window).height()
   
await doForm('/prerender',getallFormtoJson('myForm'))
   refreshIframe()
  await sleep(2000);
  
  } 


  FillIndicator()
})



})

	
</script>